ABOUT
~~~~~
mpglen is a simple tool to read in one or more mpeg files and report the
number of frames and GOPs it finds.

I wrote it because the mpeg format does not include any length information
in it's header, and to convert an mpeg to a known size (S)VCD, you need to
know the length to select the optimum bitrate.


INSTALLATION
~~~~~~~~~~~~
Type 'make' to build the binary, and 'make install' to install it.


USAGE
~~~~~
Usage: mpglen [options] file [file] ...
Options:
-a          show an total for all files processed as "Total #frames #GOPs\n".
-c size     process file(s) in chunks of <size> Mb. (Default 4)
-d          emit debugging messages on stderr.
-e          easily parseable output "#frames #GOPs filename\n".
-f          only print "#frames\n".
-g          only print "#GOPs\n".
-p          emit progress report as each chunk is processed.
-s          be silent on stdout, except for final totals.
-t          terse output, only prints "#frames #GOPs\n".
-h          show this usage message.
Setting -d as the first argument will show argument parsing, too.
Exit codes: 0=Success  -1=Parse error  -2=m[un]map error  -3=Other

